Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webspheremqadapter.message
Interface IGMO

All Known Implementing Classes:
  GMO

    public interface IGMO

This interface describes the structure of the 'GMO' portion of the WebSphere MQ eWay OTD used in Java Collaborations. It is the OTD's analogue to the `MQGetMessageOptions` data structure.

The eGate Java Collaboration Editor does not permit the direct manipulation of class fields, thus this interface defines accessors and mutators with which to affect MQGetMessageOptions fields.

Version:
  $Revision: 1.4 $

Method Summary
`java.lang.String` | `getResolvedQueueName()` Provide access to the content of the output field `MQGetMessageOptions.resolvedQueueName`.
`char` | `getSegmentation()` Provides access to the content of the output field `MQGetMessageOptions.segmentation`.
`char` | `getSegmentationStatus()` Provides access to the content of the output field `MQGetMessageOptions.segmentation`.
`int` | `getWaitValue()` Retrieve the value of the `MQGetMessageOptions.waitInterval` variable.
`boolean` | `isMessageInGroup()` Determines whether or not the output field `MQGetMessageOptions.groupStatus` specifies the retrieved message is in a group.
`boolean` | `isMessageLastInGroup()` Determines whether or not the output field {@link com.ibm.mq.MQGetMessageOptions#groupStatus) indicates that the retrieved message is in a group and it is the last message in the group.
`void` | `matchOptionsClearAll()` Clear all match options set so far and set match options to MQMO_NONE.
`void` | `optionsClearAll()` Clear all option flags set so far and reset options to MQGMO_NONE.
`void` | `setMQGMO_ACCEPT_TRUNCATED_MSG(boolean bSet)` Set or unset the MGC.MQGMO_ACCEPT_TRUNCATED_MSG option.
`void` | `setMQGMO_ALL_MSGS_AVAILABLE(boolean bSet)` Set or unset the MGC.MQGMO_ALL_MSGS_AVAILABLE option.
`void` | `setMQGMO_ALL_SEGMENTS_AVAILABLE(boolean bSet)` Set or unset the MGC.MQGMO_ALL_SEGMENTS_AVAILABLE option.
`void` | `setMQGMO_BROWSE_FIRST(boolean bSet)` Set or unset the MGC.MQGMO_BROWSE_FIRST option.
`void` | `setMQGMO_BROWSE_MSG_UNDER_CURSOR(boolean bSet)` Set or unset the MGC.MQGMO_BROWSE_MSG_UNDER_CURSOR option.
`void` | `setMQGMO_BROWSE_NEXT(boolean bSet)` Set or unset the MGC.MQGMO_BROWSE_NEXT option.
`void` | `setMQGMO_COMPLETE_MSG(boolean bSet)` Set or unset the MGC.MQGMO_COMPLETE_MSG option.
`void` | `setMQGMO_CONVERT(boolean bSet)` Set or unset the MGC.MQGMO_CONVERT option.
`void` | `setMQGMO_FAIL_IF_QUIESCING(boolean bSet)` Set or unset the MGC.MQGMO_FAIL_IF_QUIESCING option.
`void` | `setMQGMO_LOCK(boolean bSet)` Set or unset the MGC.MQGMO_LOCK option.
`void` | `setMQGMO_LOGICAL_ORDER(boolean bSet)` Set or unset the MGC.MQGMO_LOGICAL_ORDER option.
`void` | `setMQGMO_MARK_SKIP_BACKOUT(boolean bSet)` Set or unset the MGC.MQGMO_MARK_SKIP_BACKOUT option.
`void` | `setMQGMO_MSG_UNDER_CURSOR(boolean bSet)` Set or unset the MGC.MQGMO_MSG_UNDER_CURSOR option.
`void` | `setMQGMO_NO_SYNCPOINT(boolean bSet)` Set or unset the MGC.MQGMO_NO_SYNCPOINT option.
`void` | `setMQGMO_NO_WAIT(boolean bSet)` Set or unset the MGC.MQGMO_NO_WAIT option.
`void` | `setMQGMO_NONE(boolean bSet)` Set or unset the MGC.MQGMO_NONE option.
`void` | `setMQGMO_SYNCPOINT_IF_PERSISTENT(boolean bSet)` Set or unset the MGC.MQGMO_SYNCPOINT_IF_PERSISTENT option.
`void` | `setMQGMO_SYNCPOINT(boolean bSet)` Set or unset the MGC.MQGMO_SYNCPOINT option.
`void` | `setMQGMO_UNLOCK(boolean bSet)` Set or unset the MGC.MQGMO_UNLOCK option.
`void` | `setMQGMO_WAIT(boolean bSet)` Set or unset the MGC.MQGMO_WAIT option.
`void` | `setMQMO_MATCH_CORREL_ID(boolean bSet)` Set or unset the MGC.MQMO_MATCH_CORREL_ID option.
`void` | `setMQMO_MATCH_GROUP_ID(boolean bSet)` Set or unset the MGC.MQMO_MATCH_GROUP_ID option.
`void` | `setMQMO_MATCH_MSG_ID(boolean bSet)` Set or unset the MGC.MQMO_MATCH_MSG_ID option.
`void` | `setMQMO_MATCH_MSG_SEQ_NUMBER(boolean bSet)` Set or unset the MGC.MQMO_MATCH_MSG_SEQ_NUMBER option.
`void` | `setMQMO_NONE(boolean bSet)` Set or unset the MGC.MQMO_NONE option.
`void` | `setUnlimitedWait()` Specify an unlimited time for a get call to wait for a suitable message to arrive.
`void` | `setWaitValue(int ms)` Affects the `MQGetMessageOptions.waitInterval` variable.

Method Detail

### setWaitValue

    void setWaitValue(int ms)

  Affects the `MQGetMessageOptions.waitInterval` variable. The maximum time (in milliseconds) that an MQQueue.get call waits for a suitable message to arrive (used in conjunction with MQC.MQGMO_WAIT). A value of MQC.MQWI_UNLIMITED indicates that an unlimited wait is required.

  Parameters:
    `ms` - The number of milliseconds for a get call to wait.
  See Also:
    `MQGetMessageOptions.waitInterval`

### getWaitValue

    int getWaitValue()

  Retrieve the value of the `MQGetMessageOptions.waitInterval` variable.

  Parameters:
    None.

  Returns:
    `int` - Returns the variable value.
  Throws:
    None.

### setUnlimitedWait

    void setUnlimitedWait()

  Specify an unlimited time for a get call to wait for a suitable message to arrive.

  Parameters:
    None.

  See Also:
    `MQGetMessageOptions.waitInterval`

### optionsClearAll

    void optionsClearAll()

  Clear all option flags set so far and reset options to MQGMO_NONE.

  Parameters:
    None.

  See Also:
    `MQGetMessageOptions.options`

### matchOptionsClearAll

    void matchOptionsClearAll()

  Clear all match options set so far and set match options to MQMO_NONE.

  Parameters:
    None.

  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQGMO_NONE

    void setMQGMO_NONE(boolean bSet)

  Set or unset the MGC.MQGMO_NONE option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_WAIT

    void setMQGMO_WAIT(boolean bSet)

  Set or unset the MGC.MQGMO_WAIT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_NO_WAIT

    void setMQGMO_NO_WAIT(boolean bSet)

  Set or unset the MGC.MQGMO_NO_WAIT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_SYNCPOINT

    void setMQGMO_SYNCPOINT(boolean bSet)

  Set or unset the MGC.MQGMO_SYNCPOINT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_NO_SYNCPOINT

    void setMQGMO_NO_SYNCPOINT(boolean bSet)

  Set or unset the MGC.MQGMO_NO_SYNCPOINT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_BROWSE_FIRST

    void setMQGMO_BROWSE_FIRST(boolean bSet)

  Set or unset the MGC.MQGMO_BROWSE_FIRST option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_BROWSE_NEXT

    void setMQGMO_BROWSE_NEXT(boolean bSet)

  Set or unset the MGC.MQGMO_BROWSE_NEXT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_BROWSE_MSG_UNDER_CURSOR

    void setMQGMO_BROWSE_MSG_UNDER_CURSOR(boolean bSet)

  Set or unset the MGC.MQGMO_BROWSE_MSG_UNDER_CURSOR option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_LOCK

    void setMQGMO_LOCK(boolean bSet)

  Set or unset the MGC.MQGMO_LOCK option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_UNLOCK

    void setMQGMO_UNLOCK(boolean bSet)

  Set or unset the MGC.MQGMO_UNLOCK option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_ACCEPT_TRUNCATED_MSG

    void setMQGMO_ACCEPT_TRUNCATED_MSG(boolean bSet)

  Set or unset the MGC.MQGMO_ACCEPT_TRUNCATED_MSG option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_FAIL_IF_QUIESCING

    void setMQGMO_FAIL_IF_QUIESCING(boolean bSet)

  Set or unset the MGC.MQGMO_FAIL_IF_QUIESCING option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_CONVERT

    void setMQGMO_CONVERT(boolean bSet)

  Set or unset the MGC.MQGMO_CONVERT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_SYNCPOINT_IF_PERSISTENT

    void setMQGMO_SYNCPOINT_IF_PERSISTENT(boolean bSet)

  Set or unset the MGC.MQGMO_SYNCPOINT_IF_PERSISTENT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_MARK_SKIP_BACKOUT

    void setMQGMO_MARK_SKIP_BACKOUT(boolean bSet)

  Set or unset the MGC.MQGMO_MARK_SKIP_BACKOUT option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_MSG_UNDER_CURSOR

    void setMQGMO_MSG_UNDER_CURSOR(boolean bSet)

  Set or unset the MGC.MQGMO_MSG_UNDER_CURSOR option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_LOGICAL_ORDER

    void setMQGMO_LOGICAL_ORDER(boolean bSet)

  Set or unset the MGC.MQGMO_LOGICAL_ORDER option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_COMPLETE_MSG

    void setMQGMO_COMPLETE_MSG(boolean bSet)

  Set or unset the MGC.MQGMO_COMPLETE_MSG option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_ALL_MSGS_AVAILABLE

    void setMQGMO_ALL_MSGS_AVAILABLE(boolean bSet)

  Set or unset the MGC.MQGMO_ALL_MSGS_AVAILABLE option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQGMO_ALL_SEGMENTS_AVAILABLE

    void setMQGMO_ALL_SEGMENTS_AVAILABLE(boolean bSet)

  Set or unset the MGC.MQGMO_ALL_SEGMENTS_AVAILABLE option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.options`

### setMQMO_MATCH_MSG_ID

    void setMQMO_MATCH_MSG_ID(boolean bSet)

  Set or unset the MGC.MQMO_MATCH_MSG_ID option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQMO_MATCH_CORREL_ID

    void setMQMO_MATCH_CORREL_ID(boolean bSet)

  Set or unset the MGC.MQMO_MATCH_CORREL_ID option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQMO_MATCH_GROUP_ID

    void setMQMO_MATCH_GROUP_ID(boolean bSet)

  Set or unset the MGC.MQMO_MATCH_GROUP_ID option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQMO_MATCH_MSG_SEQ_NUMBER

    void setMQMO_MATCH_MSG_SEQ_NUMBER(boolean bSet)

  Set or unset the MGC.MQMO_MATCH_MSG_SEQ_NUMBER option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    `MQGetMessageOptions.matchOptions`

### setMQMO_NONE

    void setMQMO_NONE(boolean bSet)

  Set or unset the MGC.MQMO_NONE option.

  Parameters:
    `bSet` - true to set, false to unset.
  See Also:
    ``
  Throws:
    None.

### getResolvedQueueName

    java.lang.String getResolvedQueueName()

  Provide access to the content of the output field `MQGetMessageOptions.resolvedQueueName`.

  Parameters:
    None.

  Returns:
    `String` - Returns the content of the output field.
  Throws:
    None.

### getSegmentation

    char getSegmentation()

  Provides access to the content of the output field `MQGetMessageOptions.segmentation`.

  Parameters:
    None.

  Returns:
    `char` - Returns the content of the output field.
  Throws:
    None.

### getSegmentationStatus

    char getSegmentationStatus()

  Provides access to the content of the output field `MQGetMessageOptions.segmentation`.

  Parameters:
    None.

  Returns:
    `char` - Returns the content of the output field.
  Throws:
    None.

### isMessageInGroup

    boolean isMessageInGroup()

  Determines whether or not the output field `MQGetMessageOptions.groupStatus` specifies the retrieved message is in a group.

  Parameters:
    None.

  Returns:
    `Boolean` - Returns true if the output field is in the group; false otherwise.
  Throws:
    None.
  See Also:
    `com.ibm.mq.MQC.MQGS_NOT_IN_GROUP`

### isMessageLastInGroup

    boolean isMessageLastInGroup()

  Determines whether or not the output field {@link com.ibm.mq.MQGetMessageOptions#groupStatus) indicates that the retrieved message is in a group and it is the last message in the group.

  Parameters:
    None.

  Returns:
    `Boolean` - Returns true if the message is in the group, and it is the last message in the group; false indicates the message is in the group, but is not the last message in the group.
  Throws:
    None.

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Websphere MQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.